Package org.silverpeas.components.silvercrawler.control

## Class UploadReport

- java.lang.Object
- - org.silverpeas.components.silvercrawler.control.UploadReport

-     public class UploadReport
      extends Object

  This class is the result of a dragNDrop of folders and path in SilverCrawler.
  Author:
    Ludovic Bertin

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `nbCopied` |
    `int` | `nbIgnored` |
    `int` | `nbReplaced` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UploadReport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addItem​(UploadItem item)` |
    `String` | `displayErrors()` |
    `String` | `displaySuccess()` |
    `List<UploadItem>` | `getItems()` |
    `File` | `getRepositoryPath()` |
    `boolean` | `isConflictous()` |
    `boolean` | `isFailed()` |
    `boolean` | `isForbiddenFolderDetected()` |
    `void` | `setConflictous​(boolean conflictous)` |
    `void` | `setFailed​(boolean failed)` |
    `void` | `setForbiddenFolderDetected​(boolean forbiddenFolderDetected)` |
    `void` | `setRepositoryPath​(File repositoryPath)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nbCopied

          public int nbCopied

    - #### nbIgnored

          public int nbIgnored

    - #### nbReplaced

          public int nbReplaced

  - ### Constructor Detail

    - #### UploadReport

          public UploadReport()

  - ### Method Detail

    - #### isForbiddenFolderDetected

          public boolean isForbiddenFolderDetected()

      Returns:
        the forbiddenFolderDetected

    - #### setForbiddenFolderDetected

          public void setForbiddenFolderDetected​(boolean forbiddenFolderDetected)

      Parameters:
        `forbiddenFolderDetected` - the forbiddenFolderDetected to set

    - #### isFailed

          public boolean isFailed()

    - #### setFailed

          public void setFailed​(boolean failed)

    - #### isConflictous

          public boolean isConflictous()

    - #### setConflictous

          public void setConflictous​(boolean conflictous)

    - #### getRepositoryPath

          public File getRepositoryPath()

    - #### setRepositoryPath

          public void setRepositoryPath​(File repositoryPath)

    - #### getItems

          public List<UploadItem> getItems()

    - #### addItem

          public void addItem​(UploadItem item)

    - #### displayErrors

          public String displayErrors()

    - #### displaySuccess

          public String displaySuccess()